import request from '/@/utils/request';

export function workApplyApi() {
    return {
        // 分页获取申请列表
        getApplyListPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/applying/page/list`,
                method: 'post',
                data: data
            });
        },

        // 新分页获取申请列表
        getNewApplyListPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/applyUser/list/page`,
                method: 'post',
                data: data
            });
        },

        // 新获取所有申请
        getAllNewApplyListPage: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/all/list/page`,
                method: 'post',
                data: data
            });
        },

        // 上传研判报告
        uploadJsaReport: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/risk/assessment`,
                method: 'post',
                data: data
            });
        },

        // 查看研判报告
        viewJsaReport: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/risk/assessment/record`,
                method: 'post',
                data: data
            });
        },

        // 新正式办票
        checkTicket: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/ticket/processing`,
                method: 'post',
                data: data
            });
        },

        // 新作废办票
        abolishTicket: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/abolish`,
                method: 'post',
                data: data
            });
        },

        // 获取基础数据
        getFormData: (type: number) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/getFormData/${type}`,
                method: 'get'
            });
        },

        // 新提交接口
        submitFireApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/hot`,
                method: 'post',
                data: data
            });
        },
        modFireApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/mod/hot`,
                method: 'post',
                data: data
            });
        },
        submitSpaceApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/confinedspace`,
                method: 'post',
                data: data
            });
        },
        modSpaceApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/mod/confinedspace`,
                method: 'post',
                data: data
            });
        },
        submitHoistApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/hoisting`,
                method: 'post',
                data: data
            });
        },
        modHoistApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/mod/hoisting`,
                method: 'post',
                data: data
            });
        },
        submitGroundApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/groundBreaking`,
                method: 'post',
                data: data
            });
        },
        modGroundApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/mod/groundBreaking`,
                method: 'post',
                data: data
            });
        },
        submitBrokenApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/brokenCircuit`,
                method: 'post',
                data: data
            });
        },
        modBrokenApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/mod/brokenCircuit`,
                method: 'post',
                data: data
            });
        },
        submitHeightApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/hight`,
                method: 'post',
                data: data
            });
        },
        modHeightApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/mod/hight`,
                method: 'post',
                data: data
            });
        },
        submitPowerApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/temporaryPower`,
                method: 'post',
                data: data
            });
        },
        modPowerApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/mod/temporaryPower`,
                method: 'post',
                data: data
            });
        },
        submitPlateApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/blindPlatePlugging`,
                method: 'post',
                data: data
            });
        },
        modPlateApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/mod/blindPlatePlugging`,
                method: 'post',
                data: data
            });
        },
        submitOpenApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/apply/openJob`,
                method: 'post',
                data: data
            });
        },
        modOpenApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/mod/openJob`,
                method: 'post',
                data: data
            });
        },

        renewalHot: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/renewal/hot`,
                method: 'post',
                data: data
            });
        },
        renewalConfinedspace: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/renewal/confinedspace`,
                method: 'post',
                data: data
            });
        },

        renewalHoisting: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/renewal/hoisting`,
                method: 'post',
                data: data
            });
        },

        renewalGroundBreaking: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/renewal/groundBreaking`,
                method: 'post',
                data: data
            });
        },
        renewalBrokenCircuit: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/renewal/brokenCircuit`,
                method: 'post',
                data: data
            });
        },
        renewalHight: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/renewal/hight`,
                method: 'post',
                data: data
            });
        },

        renewalTemporaryPower: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/renewal/temporaryPower`,
                method: 'post',
                data: data
            });
        },
        renewalBlindPlatePlugging: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/renewal/blindPlatePlugging`,
                method: 'post',
                data: data
            });
        },
        renewalOpenJob: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/renewal/openJob`,
                method: 'post',
                data: data
            });
        },

        // 所有记录列表
        getApplyList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/all/page/list`,
                method: 'post',
                data: data
            });
        },

        // 获取所有用户
        getAllUsers: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/list`,
                method: 'get'
            });
        },

        // 获取所有设备
        getAllDevices: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/sysAdmin/camera/find/byAll`,
                method: 'get'
            });
        },

        // 获取所有风险辨识
        getAllRiskIdentity: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/risk/manage/select`,
                method: 'post',
                data: data,
            });
        },

        // 导出打印接口
        postPrinting: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/printing`,
                method: 'post',
                data: data,
                responseType: 'blob',
                headers:{'Content-Type': 'application/json'}
            });
        },


        // 动火申请
        postFireApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/hot`,
                method: 'post',
                data: data
            });
        },

        // 查询特殊作业人员
        getSpList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/special/list`,
                method: 'post',
                data: data
            });
        },

        // 查询特殊作业人员
        getOpList: () => {
            return request({
                url: import.meta.env.VITE_API_URL + `/account/special/operator/list`,
                method: 'get'
            });
        },

        // 受限空间申请
        postSpaceApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/confinedspace`,
                method: 'post',
                data: data
            });
        },

        // 吊装申请
        postHoistApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/hoisting`,
                method: 'post',
                data: data
            });
        },

        // 动土申请
        postGroundApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/groundBreaking`,
                method: 'post',
                data: data
            });
        },

        // 断路申请
        postBrokenApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/brokenCircuit`,
                method: 'post',
                data: data
            });
        },

        // 高处申请
        postHeightApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/height`,
                method: 'post',
                data: data
            });
        },

        // 临时用电申请
        postPowerApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/temporaryPower`,
                method: 'post',
                data: data
            });
        },

        // 盲板申请
        postPlateApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/blindPlatePlugging`,
                method: 'post',
                data: data
            });
        },

        // 取消申请
        cancelApply: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/cancel`,
                method: 'post',
                data: data
            });
        },

        // 获取八种作业
        getOtherWork: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/involve/other/work/list`,
                method: 'post',
                data: data
            });
        },

        // 查看作业票
        viewTicket: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/view`,
                method: 'post',
                data: data
            });
        },

        // 查询进度
        getStatus: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/applicant/approved/view`,
                method: 'post',
                data: data
            });
        },

        // 查询所有进度
        getAllStatus: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/work/apply/others/view`,
                method: 'post',
                data: data
            });
        },

        // 作业验收
        acceptWork: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/working/accept`,
                method: 'post',
                data: data
            });
        },

        // 获取图片上传路径
        getUploadUrl: (name: string) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/file/getPresignUrl`,
                method: 'post',
                data: { prefixName: name.split('.')[0], suffixName: name.split('.')[1] }
            });
        },

        // 获取图片上传路径
        getUpload9Url: (name: string) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/file/getPresignUrl`,
                method: 'post',
                data: { prefixName: name.split('.')[0], suffixName: name.split('.')[1] }
            });
        },

        // 上传图片
        uploadFile: (path: string, file: any) => {
            return request({
                headers: {
                    contentType: 'application/json;charset=UTF-8'
                },
                url: path,
                method: 'put',
                data: file
            });
        },

        // 删除图片
        deleteFile: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/file/deleteFile`,
                method: 'post',
                data: data
            });
        },

        // 获取物资配置数据
        getMaterial: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/material/queryByWorkTypeOrLevel`,
                method: 'post',
                data: data
            });
        },

        // 根据物资配置id和领取人获取领取情况
        getMaterialDetail: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/material/receive`,
                method: 'post',
                data: data
            });
        },
        // 申报统计饼图
        getSbtjPie: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/statistic/workType`,
                method: 'post',
                data: data
            });
        },
        // 申报统计饼图
        getSbtjTable: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/statistic/dep`,
                method: 'post',
                data: data
            });
        },
    };
}
